Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18488

Description

Hi,

When editing a linestring layer (connection to postgres table) commit changes caused all active geometry to become invalid in both map

display and db table. This only happened after multiple saves to the db. Linestring geometry attributes can still be queried for length in

postgres but validity returns an error and lines cannot be displayed in QGIS.

History

#1 - 2014-06-11 09:01 AM - Jürgen Fischer

- Category deleted (DB Manager)

#2 - 2014-06-17 11:08 AM - Jürgen Fischer

- Priority changed from High to Normal

- Status changed from Open to Feedback

Not reproducable.  Please provide more details.

#3 - 2014-06-17 11:23 AM - Hannah Burk

I'm not sure I would be able to reproduce the issue myself - and I don't intend to try for fear of corrupting more data. I am working with a Postgres database

updating table geometry through the database connection in QGIS. I had been working through an open connection for over an hour, committing changes

periodically, when a commit corrupted the geometry in the db table. The lines that I had been working on - filtered by attribute in the SQL query - became

invalid. The rest of the lines we unaffected - implies the invalidity was a result of something in the SQL update/commit?

I wish I could give you more information than this. Thank you for your time!

#4 - 2014-10-02 09:39 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Rejected

unfortunately not reproducable.
